Sync Whats App Template
Sync the approval status of a single WhatsApp template with Twilio. Requires the template to have been registered (has a contentSid).
Sync the approval status of a single WhatsApp template with Twilio. Requires the template to have been registered (has a contentSid).
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Length
1 <= length <= 200Response Body
application/json
curl -X POST "https://example.com/whatsapp-templates/550e8400-e29b-41d4-a716-446655440000/sync"{ "template": { "id": "string", "organizationId": "string", "name": "string", "displayName": "string", "description": "string", "language": "string", "category": "string", "contentType": "string", "body": "string", "variables": { "property1": "string", "property2": "string" }, "status": "string", "contentSid": "string", "rejectionReason": "string", "lastSyncedAt": "string", "lastSyncError": "string", "usageCount": 0, "successfulSendCount": 0, "providerScope": "unbound", "accountState": "unbound", "providerOperation": { "id": "string", "phase": "ready_create", "state": "pending" }, "compatibleEvents": [ "order_received_lab" ], "selectedEvents": [ "order_received_lab" ], "createdBy": "string", "createdAt": "string", "updatedAt": "string" }}Empty
Empty
Empty
Empty
Empty
Sync All Whats App Templates POST
Sync the approval status of all pending WhatsApp templates with Twilio. Updates each template's status to approved, rejected, or keeps as pending. Lab-only operation.
Test Whats App Template POST
Send a test WhatsApp message using an approved template and the exact Twilio account that owns its Content SID. Lab-only operation.